package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

public enum SignOutStatusEnum implements BaseEnum<Integer, SignOutStatusEnum> {
    NORMAL(1,"正常签退"),
    UNUSUAL(0,"异常签退"),
    NO(3,"未签退");

    private Integer code;
    private String msg;

    SignOutStatusEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public Integer getCode() {
        return this.code;
    }
}
